Infront Data Manager Connect Client (.NET)

Public Member Functions | Protected Member Functions | Protected Attributes | Events | List of all members
Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager Class Reference

Represents a manger that manages a IStreamingConsumer. This class handles offline and online states for the managed streaming consumer as well as lazy subscribe of instruments and fail over. More...

Inherits Gevasys.DataCore.Consumer.Manager.IStreamingConsumerManager.

Inherited by Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumerManager.

## Public Member Functions
| StreamingConsumerManager (IPushClient pushClient, String name)
| Initializes a new instance of the StreamingConsumerManager class. More...
IPushClient | GetPushClient ()
String | GetName ()
InstrumentList | GetInstruments ()
void | AddInstruments (InstrumentList instruments)
List< string > | GetExchanges ()
void | AddExchange (String Exchange)
void | AddFilterElement (FilterElement filterElement, params FilterElement[] filterElements)
void | AddFilterElement (FilterElement filterElement)
| Adds a FilterElement More...
void | RemoveFilterElement (FilterElement filterElement)
| Removes the FilterElement More...
void | RequestRecaps (InstrumentList instruments)
void | SetOffline ()
void | SetOnline ()
bool | GetIsAlive ()
| Gets the alive state of the IConsumer. More...
void | AddInstrument (String instrument)
void | RemoveExchange (String Exchange)
void | RemoveInstrument (String instrument)
void | RemoveInstruments (InstrumentList instruments)
void | RemoveFilterElement (FilterElement filterElement, params FilterElement[] filterElements)
void | RemoveAll ()
void | SetAsBackup (bool isBackup)
bool | GetIsBackup ()
virtual bool | Start ()
virtual void | Stop ()
virtual void | AsyncServiceCallCallback (AsyncServiceCallResult result)
void | Update (IConsumer source, ConsumerStateChangedEventArgs arg)
ConsumerType | GetConsumerType ()
void | SetFieldFilter (List< string > fieldList)
| Sets a list of fields as a data filter for the streaming connection on the server side. Only fields that exists in the field filter will be pushed. More...
void | RemoveFieldFilter ()
| Removes a field filter. More...
void | SubscribeNewsBroadcast ()
void | UnsubscribeNewsBroadcast ()

## Protected Member Functions
void | FireConsumerStateChangedEvent (ConsumerStateChangedEventArgs e)
bool | SubscribePendingInstrumentsForConsumer (IStreamingConsumer consumer, InstrumentList instruments)
bool | SubscribePendingExchangesForConsumer (IStreamingConsumer consumer, List< string > exchanges)
bool | SubscribePendingFilterElementsForConsumer (IStreamingConsumer consumer, List< FilterElement > filterElements)
bool | RecapPendingInstrumentsForConsumer (IStreamingConsumer consumer, InstrumentList instruments)

## Protected Attributes
readonly InstrumentList | instruments
readonly List< string > | exchanges
readonly List< FilterElement > | filterElements
readonly List< FilterElement > | pendingFilterElementsSubscribesForConsumer
readonly InstrumentList | pendingSubscribesForConsumer
readonly List< String > | pendingExchangeSubscribesForConsumer
readonly InstrumentList | pendingRecapsForConsumer
IPushClient | pushClient
StreamingConsumer | consumer
bool | oldAlive = false

## Events
EventHandler< ConsumerStateChangedEventArgs > | OnConsumerStateChanged

## Detailed Description

Represents a manger that manages a IStreamingConsumer. This class handles offline and online states for the managed streaming consumer as well as lazy subscribe of instruments and fail over.

## Constructor & Destructor Documentation

## ◆ StreamingConsumerManager()

Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.StreamingConsumerManager | ( | IPushClient | pushClient,
|  | String | name
| ) |  |
| inline

Initializes a new instance of the StreamingConsumerManager class.

Parameters

  pushClient | A instance of a IPushClient that will be attached to this manager.
  name | The name of the manager.

## Member Function Documentation

## ◆ AddExchange()

void Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.AddExchange | ( | String | Exchange | ) |
| inline

Adds and subscribes a exchange.

Parameters

  Exchange | The exchange.

<font color="#3F5FBF" size="2"> <font color="#3F5FBF" size="2">Not available in version 1.1.</font> </font>

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ AddFilterElement()

void Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.AddFilterElement | ( | FilterElement | filterElement | ) |
| inline

Adds a FilterElement

Parameters

  filterElement |

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ AddInstrument()

void Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.AddInstrument | ( | String | instrument | ) |
| inline

Adds and subscribes a instrument.

Parameters

  instrument | The instrument.

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ AddInstruments()

void Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.AddInstruments | ( | InstrumentList | instruments | ) |
| inline

Adds and subscribes a list of instruments.

Parameters

  instruments | The list of instruments.

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ AsyncServiceCallCallback()

virtual void Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.AsyncServiceCallCallback | ( | AsyncServiceCallResult | result | ) |
| inline virtual

The callback method for asynchronous services calls.

Parameters

  result | The result of the asynchronous call.

Implements Gevasys.DataCore.Core.IStreamingConsumer.

## ◆ GetConsumerType()

ConsumerType Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.GetConsumerType | ( |  | ) |
| inline

Gets the type of the Consumer.

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ GetInstruments()

InstrumentList Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.GetInstruments | ( |  | ) |
| inline

Get the list of subscribed instruments.

Returns
  The list of instruments.

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ GetIsAlive()

bool Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.GetIsAlive | ( |  | ) |
| inline

Gets the alive state of the IConsumer.

Returns
  True if the IConsumer is alive.

Implements Gevasys.DataCore.Core.IStreamingConsumer.

## ◆ GetIsBackup()

bool Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.GetIsBackup | ( |  | ) |
| inline

Get the backup state of a IConsumer.

Returns
  True if the IConsumer is in backup state.

Implements Gevasys.DataCore.Core.IStreamingConsumer.

## ◆ GetName()

String Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.GetName | ( |  | ) |
| inline

Gets the name of the Consumer.

Returns
  The name or null if no name exists.

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ GetPushClient()

IPushClient Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.GetPushClient | ( |  | ) |
| inline

Gets the attached IPushClient.

Returns
  The attached IPushClient or null if no client is attached.

## ◆ RemoveAll()

void Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.RemoveAll | ( |  | ) |
| inline

Removes and unsubscribes all instruments and exchanges.

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ RemoveExchange()

void Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.RemoveExchange | ( | String | Exchange | ) |
| inline

Removes and unsubscribes a exchange.

<font color="#3F5FBF" size="2"> <font color="#3F5FBF" size="2">Available from version 2.x</font> </font>

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ RemoveFieldFilter()

void Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.RemoveFieldFilter | ( |  | ) |
| inline

Removes a field filter.

<font color="#3F5FBF" size="2"> <font color="#3F5FBF" size="2">Available from Version 2.x.</font> </font>

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ RemoveFilterElement()

void Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.RemoveFilterElement | ( | FilterElement | filterElement | ) |
| inline

Removes the FilterElement

Parameters

  filterElement |

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ RemoveInstrument()

void Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.RemoveInstrument | ( | String | instrument | ) |
| inline

Removes an unsubscribes a instrument.

Parameters

  instrument | The instrument.

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ RemoveInstruments()

void Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.RemoveInstruments | ( | InstrumentList | instruments | ) |
| inline

Remove and unsubscribes a list of instruments.

Parameters

  instruments | <font color="#3F5FBF" size="2"> <font color="#3F5FBF" size="2">The list of Instruments</font> </font>

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ RequestRecaps()

void Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.RequestRecaps | ( | InstrumentList | instrumentList | ) |
| inline

Request recap messages for a list of instruments.

Parameters

  instrumentList | The list of instruments.

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ SetAsBackup()

void Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.SetAsBackup | ( | bool | isBackup | ) |
| inline

Sets a IConsumer to the backup state.

Implements Gevasys.DataCore.Core.IStreamingConsumer.

## ◆ SetFieldFilter()

void Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.SetFieldFilter | ( | List< string > | fieldList | ) |
| inline

Sets a list of fields as a data filter for the streaming connection on the server side. Only fields that exists in the field filter will be pushed.

Parameters

  fieldList |

<font color="#3F5FBF" size="2"> <font color="#3F5FBF" size="2">Available from Version 2.x.</font> </font>

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ Start()

virtual bool Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.Start | ( |  | ) |
| inline virtual

Starts the IConsumer.

Returns
  True if successful.

Implements Gevasys.DataCore.Core.IStreamingConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumerManager.

## ◆ Stop()

virtual void Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.Stop | ( |  | ) |
| inline virtual

Stops the IConsumer.

Implements Gevasys.DataCore.Core.IStreamingConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumerManager.

The documentation for this class was generated from the following file:

- StreamingConsumerManager.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1